<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<h1 mat-dialog-title>{{ data.title | translate }}</h1>
<mat-dialog-content>
  <div>{{ data.content | translate:data.contentParams }}</div>
  <mat-form-field *ngIf="data.hasInput" class="pact-dialog-reason">
    <input matInput (input)="reason =  $event.target.value" placeholder="{{ data.inputPlaceHolder | translate }}">
  </mat-form-field>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-button id="confirmation-dialog-cancel" mat-dialog-close>
    {{ ('confirmation-dialog.cancel' | translate) | uppercase }}
  </button>
  <button mat-button id="confirmation-dialog-confirm" color="primary"
          [mat-dialog-close]="{accepted: true, reason: reason}">
    {{ ('confirmation-dialog.confirm' | translate) | uppercase }}
  </button>
</mat-dialog-actions>
